Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2917 - cron.d and cron.daily
Summary: cron.d and cron.daily
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-18 23:07 UTC by Thomas Zehetbauer
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-10 21:58:58 UTC


Attachments (Terms of Use)

Description Thomas Zehetbauer 1999-05-18 23:07:46 UTC
several scripts (e.g. tetex and tmpwatch) are placed in
/etc/cron.daily but I cannot find any evidence that they
ever get executed.

the format of /etc/crontab and /etc/cron.d/* is not
documented. there is just a dead reference to crontab(5) in
cron(8)

Also I want to say that I would prefer logging to be done
via syslog.

Comment 1 Derek Tattersall 1999-05-19 14:56:59 UTC
Both tetex.cron and tmpwatch scripts use tmpwatch(8) which does not
log its actions, so no evidence will be left around.

man -S 5 crontab is your friend.  /usr/bin/run-parts  is used by the
system crontab, /etc/crontab, to run the scripts in /etc/cron.daily
etc.

Your suggestion about logging  to syslogd will be passed on.


Note You need to log in before you can comment on or make changes to this bug.